<div class="modal fade" id="loginModal" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title">Login</h5>
          <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
        </div>
        <div class="modal-body" style="background-image: url('../../assets/login-background.png')">
          <td>
            <tr>
              <div class="form-floating">
                <input type="username" class="form-control" placeholder="Username" id="username" style="opacity:0.75" [(ngModel)]="username">
                <label for="username">Username</label>
              </div>
            </tr>
            <br>
         
            <tr>
              <div class="form-floating">
                <input type="password" class="form-control" id="password" placeholder="Password" style="opacity:0.75" [(ngModel)]="password">
                <label for="password">Password</label>
              </div>
            </tr>
          </td>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>          
          <button type="button" class="btn btn-primary" data-bs-dismiss="modal" data-bs-target="#loginModal" (click)="login()">Login</button>
        </div>
      </div>
    </div>
  </div>
  